Package tigase.criteria

## Class ElementCriteria

- java.lang.Object
- - tigase.criteria.ElementCriteria

- All Implemented Interfaces:
    `Criteria`

      public class ElementCriteria
      extends java.lang.Object
      implements Criteria

  Created: 2007-06-19 20:34:57

  Version:
    $Rev$
  Author:
    bmalkow

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ElementCriteria​(java.lang.String name, java.lang.String cdata, java.lang.String[] attname, java.lang.String[] attValue)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Criteria` | `add​(Criteria criteria)` |
    `static ElementCriteria` | `empty()` |
    `boolean` | `match​(Element element)` |
    `static ElementCriteria` | `name​(java.lang.String name)` |
    `static ElementCriteria` | `name​(java.lang.String name, java.lang.String xmlns)` |
    `static ElementCriteria` | `name​(java.lang.String name, java.lang.String[] attNames, java.lang.String[] attValues)` |
    `static ElementCriteria` | `name​(java.lang.String name, java.lang.String cdata, java.lang.String[] attNames, java.lang.String[] attValues)` |
    `static ElementCriteria` | `nameType​(java.lang.String name, java.lang.String type)` |
    `static ElementCriteria` | `xmlns​(java.lang.String xmlns)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementCriteria

          public ElementCriteria​(java.lang.String name,
                                 java.lang.String cdata,
                                 java.lang.String[] attname,
                                 java.lang.String[] attValue)

  - ### Method Detail

    - #### empty

          public static final ElementCriteria empty()

    - #### name

          public static final ElementCriteria name​(java.lang.String name)

    - #### name

          public static final ElementCriteria name​(java.lang.String name,
                                                   java.lang.String xmlns)

    - #### name

          public static final ElementCriteria name​(java.lang.String name,
                                                   java.lang.String cdata,
                                                   java.lang.String[] attNames,
                                                   java.lang.String[] attValues)

    - #### name

          public static final ElementCriteria name​(java.lang.String name,
                                                   java.lang.String[] attNames,
                                                   java.lang.String[] attValues)

    - #### nameType

          public static final ElementCriteria nameType​(java.lang.String name,
                                                       java.lang.String type)

    - #### xmlns

          public static final ElementCriteria xmlns​(java.lang.String xmlns)

    - #### add

          public Criteria add​(Criteria criteria)

      Specified by:
        `add` in interface `Criteria`

    - #### match

          public boolean match​(Element element)

      Specified by:
        `match` in interface `Criteria`